Package org.apache.tapestry5.commons.internal.services

## Class StringLocation

- java.lang.Object
- - org.apache.tapestry5.commons.internal.services.StringLocation

- All Implemented Interfaces:
    `Location`

      public final class StringLocation
      extends java.lang.Object
      implements Location

  Implementation of `Location` used when the underlying resource isn't really known.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringLocation​(java.lang.String description, int line)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColumn()` | Returns 0.
    `int` | `getLine()` | The line number within the resource, if known, or -1 otherwise.
    `Resource` | `getResource()` | Returns null; we don't know where the file really is (it's probably a class on the class path).
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringLocation

          public StringLocation​(java.lang.String description,
                                int line)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getColumn

          public int getColumn()

      Returns 0.
      Specified by:
        `getColumn` in interface `Location`

    - #### getLine

          public int getLine()

      Description copied from interface: `Location`
      The line number within the resource, if known, or -1 otherwise.
      Specified by:
        `getLine` in interface `Location`

    - #### getResource

          public Resource getResource()

      Returns null; we don't know where the file really is (it's probably a class on the class path).
      Specified by:
        `getResource` in interface `Location`